/*
* demo.css
* File include item demo only specific css only
******************************************************************************/
.app-brand-link{
  display: flex;
  align-items: center;
  width: 100%;
  justify-content: center;
  flex-direction: column;
}

.app-brand-link img{
  max-width: 200px;
  height: auto;
}

.swa-foto{
  width: 80px;
  height: 100px;
  object-fit: cover;
  border-radius: 5px;
}

.ktp-foto{
  height: 80px;
  width: 138px;
  object-fit: cover;
  border-radius: 5px;
}

.swa-foto:hover{
  border-radius: 5px;
}

.ktp-foto:hover{
  border-radius: 5px;
}

.menu .app-brand.demo {
  height: 100px;
  margin-top: 12px;
}

.total{
  display: flex;
  align-items: center;
}

.total .mb-3{
  width: 100%;
}

.t-top{
  font-weight: 550;
}

.saldo tr td{
  padding: 20px 0px;
  vertical-align: middle;
}

.saldo tr td:nth-last-child(1){
  text-align: right;
}

.saldo tr td h6 {
  line-height: 0;
  margin: 0;
}

.saldo tr.tambah {
  position: relative;
  border-bottom: 1px #204984 solid;
}

.saldo tr.kurang {
  position: relative;
  border-bottom: 1px #204984 solid;
}

.saldo tr.tambah:after {
  position: absolute;
  content: '+';
  font-size: 25px;
  color: #204984;
  bottom: -19.5px;
  right: -20px;
}

.saldo tr.kurang:after {
  position: absolute;
  content: '-';
  font-size: 25px;
  color: #204984;
  bottom: -17.5px;
  right: -20px;
}
.dataTables_wrapper {
  white-space: normal !important;
}

@media (max-width: 600px) {
  .dataTables_wrapper .dataTables_filter input {
    padding: 0px 5px !important;
    font-size: 12px;
  }
  .dataTables_wrapper .dataTables_length select {
    padding: 2px 2px !important;
  }
  .dataTables_wrapper .dataTables_length select option {
    font-size: 12px !important;
  }
  .dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
    font-size: 12px;
  }
  .saldo tr td{
    padding: 17px 0px;
  }
  .saldo tr td h6 {
    font-size: 14px;
  }
  .btn-responsive{
    display: block;
    margin: 0 !important;
    font-size: 12px;
    width: fit-content;
  }
  .btn-responsive{
    margin-bottom: 10px !important;
  }
  .btn-responsive:last-child{
    margin-bottom: 0px;
  }
  .btn-responsive-1{
    display: block;
    margin: 0 !important;
    font-size: 12px;
    width: fit-content;
  }
  .btn-responsive-1{
    margin-top: 10px !important;
  }
  .btn-responsive-1:last-child{
    margin-top: 0px;
  }
  .voucher-card .number-card{
    margin: 10px;
    font-size: 14px;
    width: 25px;
    height: 25px;
  }
  .voucher-card .card-header{
      padding: 1.1rem 1.1rem;
      font-size: 14px;
  }
  .voucher-card .card-body{
      padding: 1.1rem 1.1rem;
  }
  .voucher-card .card-body .card-title{
      font-size: 16px;
      line-height: 24px;
  }
  .voucher-card .card-body .card-text{
      font-size: 14px;
      line-height: 20px;
  }
}

@media (max-width: 468px) {
  .saldo tr td{
    padding: 15px 0px;
  }

  .saldo tr td h6 {
    font-size: 11px;
  }
}

.app-brand-logo img{
  width: 150px
}

.tanggal-filter{
  display: inline-block;
  width: auto;
  border: none;
  padding: 0;
  font-size: unset;
  color: #566a7f;
}

.alert-heading{
  white-space: break-spaces;
  line-height: 25px;
}

.position-unset{
  position: unset;
}

.app-brand-text.demo {
  font-size: 1.75rem;
  letter-spacing: -0.5px;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
/* Detached navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 76px !important;
}
/* Default navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

.dtr-data::before{
  content: ' : ';
  position: relative;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}

.alert-message{
  position: fixed;
  top: 0;
  right: 0;
  width: fit-content;
  margin: 15px;
  z-index: 9999;
}

.foto-up{
  object-fit: cover;
  background-color: transparent;
}

.vouchers{
  --bs-gutter-x: 1rem;
  }
  
.number-card{
  position: absolute;
  top: 0;
  right: 0;
  margin: 20px;
  color: #204984;
  border: 1px #204984 solid;
  border-radius: 50%;
  width: 30px;
  height: 30px;
}

.number-card span{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
}

.scan{
  margin: auto;
  aspect-ratio: 1 / 1;
  margin-top: 25px;
  border: unset !important;
}
.scan #qrcode-scanner__scan_region{
  height: 100%;
  position: relative;
  border-radius: 6px;
  border: 2px #204984 solid;
}
.scan img[alt="Info icon"] {
  display: none;
}
.scan #qrcode-scanner__scan_region img {
    width: 40%;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
}
.scan #qrcode-scanner__scan_region video{
  aspect-ratio: 1 / 1;
  width: 100% !important;
  border-radius: 4px;
  object-fit: cover;
}
.scan #qrcode-scanner__scan_region #qr-shaded-region{
  border-width: 50px !important;
  border-radius: 4px;
}
.scan #qrcode-scanner__scan_region #qr-shaded-region div{
  background-color: #204984 !important;
  width: 30px !important;
  height: 5px !important;
}
.scan #qrcode-scanner__scan_region #qr-shaded-region div:nth-child(n+5){
  height: 30px !important;
  width: 5px !important;
}
#qrcode-scanner__dashboard_section_csr button {
  margin-top: 20px;
  display: inline-block;
  font-weight: 400;
  line-height: 1.53;
  text-align: center;
  vertical-align: middle;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  border: 1px solid transparent;
  color: #fff;
  background-color: #204984;
  border-color: #204984;
  box-shadow: 0 0.125rem 0.25rem 0 rgb(105 108 255 / 40%);
  padding: 0.4375rem 1.25rem;
  font-size: 0.9375rem;
  border-radius: 0.375rem;
  transition: all 0.2s ease-in-out;
}
#qr-shaded-region:after{
  position: absolute;
  content: '';
  top: 3%;
  width: 100%;
  transform: translate(-50%);
  height: 3px;
  box-shadow: 0 0px 20px 0px red;
  border: 10%;
  background-color: #fff;
  border-left: 10px transparent solid;
  animation-name: scana;
  animation-duration: 3s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  z-index: 3;
}
#qrcode-scanner__dashboard_section {
  padding: 10px 0 0 0 !important;
}
#html5-qrcode-anchor-scan-type-change{
  color: #204984;
  text-decoration: unset !important;
  cursor: pointer;
}
#html5-qrcode-anchor-scan-type-change:hover{
  color: #787bff;
}
#qrcode-scanner__header_message{
  padding: 0px !important;
  margin: 0px !important;
  margin-bottom: 10px !important;
  border-top: unset !important; 
  background: unset !important; 
  color: rgb(203, 36, 49);
}
#html5-qrcode-button-file-selection{
  margin-top: 5px;
  display: inline-block;
  font-weight: 400;
  line-height: 1.53;
  text-align: center;
  vertical-align: middle;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  border: 1px solid transparent;
  color: #fff;
  background-color: #204984;
  border-color: #204984;
  box-shadow: 0 0.125rem 0.25rem 0 rgb(105 108 255 / 40%);
  padding: 0.4375rem 1.25rem;
  font-size: 0.9375rem;
  border-radius: 0.375rem;
  transition: all 0.2s ease-in-out;
}
@keyframes scana {
  from {
    top: 3%;
  }
  to {
    top: 97%;
  }
}
.mt-unset{
  margin-top: -0.5rem;
}

#qr-canvas-visible{
  aspect-ratio: 1 / 1;
  width: 100% !important;
  object-fit: cover;
}

@media (max-width: 600px) {
  #qrcode-scanner__dashboard_section_csr button {
    margin-top: 10px;
    font-size: 12px;
    width: fit-content;
  }
  #html5-qrcode-button-file-selection{
    font-size: 12px;
  }
}

.select2 {
    width: 100% !important;
}

.select2-container .select2-selection--single {
    height: fit-content !important;
}

.select2-container--default .select2-selection--single {
    border: 1px solid #d9dee3 !important;
    border-radius: 0.375rem !important;
    height: fit-content;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #697a8d !important;
    line-height: unset !important;
    padding: 0.4375rem 0.875rem !important;
    font-size: 0.9375rem;
}

.select2-container--default .select2-selection--single .select2-selection__clear {
    height: 38px !important;
    margin-right: 30px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 6px !important;
    right: 5px !important;
}